import { IEdit } from '@files-stack/client-core';
import { EditAction as Action } from '../actions';
declare function edit(state: IEdit, action: Action): IEdit;
declare function allSave(state: boolean, action: Action): boolean;
declare function editorSubscribes(state: any[], action: Action): string[];
declare function changedContentResource(state: string, action: Action): string;
declare function overwriteConflictsResource(state: string, action: Action): string;
declare function discardConflictsResource(state: string, action: Action): string;
export declare const editReducers: {
    '@files/edit': typeof edit;
    '@files/allSave': typeof allSave;
    '@files/editorSubscribes': typeof editorSubscribes;
    '@files/changedContentResource': typeof changedContentResource;
    '@files/overwriteConflictsResource': typeof overwriteConflictsResource;
    '@files/discardConflictsResource': typeof discardConflictsResource;
};
export {};
